#!/usr/bin/env python
"""upicasa.py -- an upload script for PicasaWeb"""
import sys
import gdata.photos.service
import gdata.media
import gdata.geo

EMAIL = 'xxxx.xxxx@gmail.com'
PASSWORD = 'XXXXX'

def main():
    gd_client = gdata.photos.service.PhotosService()
    gd_client.email = EMAIL
    gd_client.password = PASSWORD
    gd_client.source = 'alga-upicasa-1'
    print "Authenticating..."
    gd_client.ProgrammaticLogin()

    album_id = '123123123123132123'
    album_url = '/data/feed/api/user/%s/albumid/%s' % (EMAIL, album_id)
    for photo in sys.argv[1:]:
        print "uploading", photo
        photo = gd_client.InsertPhotoSimple(album_url, 'New Photo',
                                            '', # title
                                            photo, content_type='image/jpeg')


if __name__ == '__main__':
    main()


    albums = gd_client.GetUserFeed(user=EMAIL)
    for album in albums.entry:
        print 'title: %s, number of photos: %s, id: %s' % (
            album.title.text,
            album.numphotos.text,
            album.gphoto_id.text)

